Share via


Asset Endpoint Profiles - List By Resource Group

List AssetEndpointProfile resources by resource group

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DeviceRegistry/assetEndpointProfiles?api-version=2026-04-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

AssetEndpointProfileListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List_AssetEndpointProfiles_ByResourceGroup

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/assetEndpointProfiles?api-version=2026-04-01

Sample response

{
  "value": [
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/assetEndpointProfiles/my-assetendpointprofile",
      "name": "my-assetendpointprofile",
      "type": "Microsoft.DeviceRegistry/assetEndpointProfiles",
      "location": "West Europe",
      "extendedLocation": {
        "type": "CustomLocation",
        "name": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/myResourceGroup/providers/microsoft.extendedlocation/customlocations/location1"
      },
      "tags": {
        "site": "building-1"
      },
      "systemData": {
        "createdBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "createdByType": "Application",
        "createdAt": "2022-11-16T00:36:43.2516899Z",
        "lastModifiedBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "lastModifiedByType": "Application",
        "lastModifiedAt": "2022-11-16T01:37:16.0922793Z"
      },
      "properties": {
        "uuid": "0796f7c1-f2c8-44d7-9f5b-9a6f9522a85d",
        "targetAddress": "https://www.example.com/myTargetAddress",
        "endpointProfileType": "myEndpointProfileType",
        "authentication": {
          "method": "Anonymous"
        },
        "provisioningState": "Succeeded"
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/assetEndpointProfiles/my-assetendpointprofile1",
      "name": "my-assetendpointprofile1",
      "type": "Microsoft.DeviceRegistry/assetEndpointProfiles",
      "location": "West Europe",
      "extendedLocation": {
        "type": "CustomLocation",
        "name": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/myResourceGroup/providers/microsoft.extendedlocation/customlocations/location1"
      },
      "tags": {
        "site": "building-2"
      },
      "systemData": {
        "createdBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "createdByType": "Application",
        "createdAt": "2022-11-16T00:36:43.2516899Z",
        "lastModifiedBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "lastModifiedByType": "Application",
        "lastModifiedAt": "2022-11-16T01:37:16.0922793Z"
      },
      "properties": {
        "uuid": "7824a74f-21e1-4458-ae06-604d3a241d2c",
        "targetAddress": "https://www.example.com/myTargetAddress1",
        "endpointProfileType": "myEndpointProfileType",
        "authentication": {
          "method": "Certificate",
          "x509Credentials": {
            "certificateSecretName": "certificatRef"
          }
        },
        "provisioningState": "Succeeded"
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/assetEndpointProfiles/my-assetendpointprofile2",
      "name": "my-assetendpointprofile2",
      "type": "Microsoft.DeviceRegistry/assetEndpointProfiles",
      "location": "West Europe",
      "extendedLocation": {
        "type": "CustomLocation",
        "name": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/myResourceGroup/providers/microsoft.extendedlocation/customlocations/location1"
      },
      "tags": {
        "site": "building-2"
      },
      "systemData": {
        "createdBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "createdByType": "Application",
        "createdAt": "2022-11-16T00:36:43.2516899Z",
        "lastModifiedBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "lastModifiedByType": "Application",
        "lastModifiedAt": "2022-11-16T01:37:16.0922793Z"
      },
      "properties": {
        "uuid": "1824a74f-21e1-4458-ae07-604d3a241d2e",
        "targetAddress": "https://www.example.com/myTargetAddress2",
        "endpointProfileType": "myEndpointProfileType",
        "authentication": {
          "method": "UsernamePassword",
          "usernamePasswordCredentials": {
            "usernameSecretName": "usernameRef",
            "passwordSecretName": "passwordRef"
          }
        },
        "provisioningState": "Succeeded"
      }
    }
  ]
}

Definitions

Name Description
AssetEndpointProfile

Asset Endpoint Profile definition.

AssetEndpointProfileListResult

The response of a AssetEndpointProfile list operation.

AssetEndpointProfileStatus

Defines the asset endpoint profile status properties.

AssetEndpointProfileStatusError

Defines the asset endpoint profile status error properties.

Authentication

Definition of the client authentication mechanism to the server.

AuthenticationMethod

The method to authenticate the user of the client at the server.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ExtendedLocation

The extended location.

ProvisioningState

The provisioning status of the resource.

systemData

Metadata pertaining to creation and last modification of the resource.

UsernamePasswordCredentials

The credentials for authentication mode UsernamePassword.

X509Credentials

The x509 certificate for authentication mode Certificate.

AssetEndpointProfile

Asset Endpoint Profile definition.

Name Type Description
extendedLocation

ExtendedLocation

The extended location.

id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.additionalConfiguration

string

Stringified JSON that contains connectivity type specific further configuration (e.g. OPC UA, Modbus, ONVIF).

properties.authentication

Authentication

Defines the client authentication mechanism to the server.

properties.discoveredAssetEndpointProfileRef

string

Reference to a discovered asset endpoint profile. Populated only if the asset endpoint profile has been created from discovery flow. Discovered asset endpoint profile name must be provided.

properties.endpointProfileType

string

Defines the configuration for the connector type that is being used with the endpoint profile.

properties.provisioningState

ProvisioningState

Provisioning state of the resource.

properties.status

AssetEndpointProfileStatus

Read only object to reflect changes that have occurred on the Edge. Similar to Kubernetes status property for custom resources.

properties.targetAddress

string (uri)

The local valid URI specifying the network address/DNS name of a southbound device. The scheme part of the targetAddress URI specifies the type of the device. The additionalConfiguration field holds further connector type specific configuration.

properties.uuid

string

Globally unique, immutable, non-reusable id.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

AssetEndpointProfileListResult

The response of a AssetEndpointProfile list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

AssetEndpointProfile[]

The AssetEndpointProfile items on this page

AssetEndpointProfileStatus

Defines the asset endpoint profile status properties.

Name Type Description
errors

AssetEndpointProfileStatusError[]

Array object to transfer and persist errors that originate from the Edge.

AssetEndpointProfileStatusError

Defines the asset endpoint profile status error properties.

Name Type Description
code

integer (int32)

Error code for classification of errors (ex: 400, 404, 500, etc.).

message

string

Human readable helpful error message to provide additional context for error (ex: “targetAddress 'foo' is not a valid url”).

Authentication

Definition of the client authentication mechanism to the server.

Name Type Default value Description
method

AuthenticationMethod

Certificate

Defines the method to authenticate the user of the client at the server.

usernamePasswordCredentials

UsernamePasswordCredentials

Defines the username and password references when UsernamePassword user authentication mode is selected.

x509Credentials

X509Credentials

Defines the certificate reference when Certificate user authentication mode is selected.

AuthenticationMethod

The method to authenticate the user of the client at the server.

Value Description
Anonymous

The user authentication method is anonymous.

Certificate

The user authentication method is an x509 certificate.

UsernamePassword

The user authentication method is a username and password.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ExtendedLocation

The extended location.

Name Type Description
name

string

The extended location name.

type

string

The extended location type.

ProvisioningState

The provisioning status of the resource.

Value Description
Succeeded

Resource has been created.

Failed

Resource creation failed.

Canceled

Resource creation was canceled.

Accepted

Resource has been accepted by the server.

Deleting

Resource is deleting.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UsernamePasswordCredentials

The credentials for authentication mode UsernamePassword.

Name Type Description
passwordSecretName

string

The name of the secret containing the password.

usernameSecretName

string

The name of the secret containing the username.

X509Credentials

The x509 certificate for authentication mode Certificate.

Name Type Description
certificateSecretName

string

The name of the secret containing the certificate and private key (e.g. stored as .der/.pem or .der/.pfx).